Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.datasource
Class DataSourceImpl.SortablePool

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractSet
                  |
                  +--java.util.HashSet
                        |
                        +--com.solarmetric.datasource.DataSourceImpl.AbstractPool
                              |
                              +--com.solarmetric.datasource.DataSourceImpl.SortablePool

All Implemented Interfaces:
  Cloneable, Collection, DataSourceImpl.Pool, Serializable, Set

Enclosing class:
  DataSourceImpl

public class DataSourceImpl.SortablePool
extends DataSourceImpl.AbstractPool

Implementation of a Pool that relies on the underlying Connection object to implement the Sortable interface in such a way that the highest priority Connection to be removed from the pool will be the last element in a sorted list of Connection objects.

See Also:
  Serialized Form

Constructor Summary
`DataSourceImpl.SortablePool(DataSourceImpl source)`

Method Summary
`com.solarmetric.datasource.PoolConnection` | `chooseConnection(Set candidates)` Choose the most appropriate Connection in the given set to use.

Methods inherited from class com.solarmetric.datasource.DataSourceImpl.AbstractPool
`clean, close, closeAll, getConnection, getMaxPool, getMinPool, getTotalSize, setMaxPool, setMinPool, toString, toString`

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### DataSourceImpl.SortablePool

    public DataSourceImpl.SortablePool(DataSourceImpl source)

Method Detail

### chooseConnection

    public com.solarmetric.datasource.PoolConnection chooseConnection(Set candidates)

  Description copied from interface: `DataSourceImpl.Pool`
  Choose the most appropriate Connection in the given set to use.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.